GNU bug report logs - #39204
r-rgdal: Reading of vector GIS data causes segfault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Wiktor Żelazny <wz@HIDDEN>; dated Mon, 20 Jan 2020 15:44:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 24 Feb 2020 19:10:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 24 14:10:05 2020
Received: from localhost ([127.0.0.1]:54111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6J7F-0006uR-IY
	for submit <at> debbugs.gnu.org; Mon, 24 Feb 2020 14:10:05 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:51846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j6J7A-0006tu-MM
 for 39204 <at> debbugs.gnu.org; Mon, 24 Feb 2020 14:10:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OpsvLVbJDNVdFAb2C/JeLWKOKGLHkhI4eqo4u3BhRxo=; b=n7GyWITzQqmvV7XevNOeQ8n18
 jzM5dT5WaFCakp+nr6KY++r2X+VuV4SPc7Z5rGIDiAIm59LlIdsnjGwUMtrT9ZNujNgUodBBkX/Eb
 4fTM+sGPrW8SjqdfRduMgs4U/UczyBRP4LZLcFbUomLnXbt56NYK9UhkyPmbo5cauELxI=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j6J6u-001HQU-MQ; Tue, 25 Feb 2020 00:39:44 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ1hRcxu-0_OGJVbffprDMD20Kq7KYGaHqQAcP-xAoyG=Q@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
 <cu71rqnsjp3.fsf@HIDDEN>
 <CAJ3okZ0y2yAoFR-tXgqbAQ08DCnqqrRd=6RmMwXJ7szQ0c0L5Q@HIDDEN>
 <cu7sgj2quhy.fsf@HIDDEN>
 <CAJ3okZ1hRcxu-0_OGJVbffprDMD20Kq7KYGaHqQAcP-xAoyG=Q@HIDDEN>
Date: Tue, 25 Feb 2020 00:39:43 +0530
Message-ID: <cu77e0bredk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> First, your patch does not apply. Because it should be line 21 and not
> 18 for the addition of your Copyright.

Sorry, I should have rebased with master.

> But as we have talked before, there is an issue about the upstream
> test suite of the package (point 1. of [1]). So I am investigating...

Ah, I understand our miscommunication now. You have been talking about
point 1 (bug in upstream test suite) and I've been talking about point 2
(segmentation fault when loading vector data). Yes, replacing proj.4
with proj only addresses point 2, not point 1.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5UH3gACgkQLiXui2GA
K7PisQf/TNxSvKEj8+ev8lDtnHxI881Ug58mAzxGbySng18zVCJxD5PBpDukLY0f
KrW9TZqfgsbwVZx5k3p49KztZgjxiGUjybkCbSIkeG++Hr//RLLnPsa56sGZ6SNp
s4g1oTfccKbfLPWb4/+edteaVL4foOvgCA41nsrsMcRAIVLdqJ++BLkWqmb/zkns
CWbzwt/avAlVrl5EABZGlDOvwyrnO2SIq4PnR2HMldcSw/gRsMrK3PqP2ngQWPzS
Cb8l2K36nf6LRBjZbK+CutXEKCUCgTJvSDbLkKIm9VIkaC5qLPMoQ8coUw/rWV8Z
W07byUDgGrT+j/YWZ0ntB00RPKm0ew==
=IkTu
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 24 Feb 2020 11:33:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 24 06:33:31 2020
Received: from localhost ([127.0.0.1]:52951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6BzO-00035D-UQ
	for submit <at> debbugs.gnu.org; Mon, 24 Feb 2020 06:33:31 -0500
Received: from mail-qk1-f172.google.com ([209.85.222.172]:46000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j6BzM-00034w-8W
 for 39204 <at> debbugs.gnu.org; Mon, 24 Feb 2020 06:33:28 -0500
Received: by mail-qk1-f172.google.com with SMTP id a2so8340212qko.12
 for <39204 <at> debbugs.gnu.org>; Mon, 24 Feb 2020 03:33:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=xC6+fE/oUVcVreP7yFstDtwg7bVK7XCHPHBUKSmHAu4=;
 b=JrqH/FzKp81oE24zK+7QEEom5LT0M+rmwm2DcPF+HblUWbQpWjjt8R6voTNAvw4fYB
 +gBnlF0X4RcPSkdoHmk+leXAWD+sySObodYDn/JcWSdqm/eMs1RM8gvNHu5tzDob8J4M
 uFv6j2OPcpgxBVL6MnXNX1djH6RLNllyRFnJJjacCMyqorb2CpSoNMid6GsHhgnY1Gwp
 +4LMRY/EcyK3XZGgDlJpH9ckIgZ9WYHcgMBRZm0ammMUqQlQsxLfPEEw+qXUh6JU3rDL
 H0rrZGBCgdVm8BvXtcaLwkUvb6bdUC5AJ5bnJ7RKS+d7WATRfI0GvssvYJXXBhJp3Pgf
 AWxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=xC6+fE/oUVcVreP7yFstDtwg7bVK7XCHPHBUKSmHAu4=;
 b=d54RZKMEztAWxDeH3DJPa2tdIje2OMvoFsNaIyvXVGxJasY8GJXrezvmwAj6fMv3+I
 JOLcZ/Mes1OHRc4ugqd9iAs9mmUnMGLB4dnfr1QRgs1jf0TBRlVhsD1/Yf2FN+k0TJbe
 0aJyFjt1aX1e0kx2v5NNUZQda8VATszO4WNNfokSEIX8v4DH9OLxPmnjGmoi5c4pjZPP
 oqAxJhCHPCVtNlgI8T2LklFJBR+/On9PR7jTygdlT1WEXdA53hvxS9l9+vCtIHHz+N3A
 zRXKxgEwX/L6wCNbqrVLtmsECuCOAPaXyvSfQikjrnYLM75ogJo1JKF6tJOsXLF9lvpn
 SpxQ==
X-Gm-Message-State: APjAAAWRaAu8M9E3hLBSCnIE/5AJ2l1tySQmy30SE08Pt3RLANGXtiCi
 0V46JJxHTFmNDk0nWNq/btZHAmUObKTUIBeIpNUWBrMe
X-Google-Smtp-Source: APXvYqz4pX2xBEgsZ+iMRQhlG+nfR15iVx+kK/lF1hZVwipoGW4M3mO3u+wlPJJMHThaWUEAZNeCJGjuXUNciMW120U=
X-Received: by 2002:ae9:ef4c:: with SMTP id d73mr2410737qkg.201.1582544002570; 
 Mon, 24 Feb 2020 03:33:22 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
 <cu71rqnsjp3.fsf@HIDDEN>
 <CAJ3okZ0y2yAoFR-tXgqbAQ08DCnqqrRd=6RmMwXJ7szQ0c0L5Q@HIDDEN>
 <cu7sgj2quhy.fsf@HIDDEN>
In-Reply-To: <cu7sgj2quhy.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 24 Feb 2020 12:33:11 +0100
Message-ID: <CAJ3okZ1hRcxu-0_OGJVbffprDMD20Kq7KYGaHqQAcP-xAoyG=Q@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arun,

First, your patch does not apply. Because it should be line 21 and not
18 for the addition of your Copyright.


On Sat, 22 Feb 2020 at 20:42, Arun Isaac <arunisaac@HIDDEN> wrote:

> $ ./pre-inst-env guix build r-rgdal

I get the same message than I previously sent:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39204#26


> $ ./pre-inst-env guix environment --container --ad-hoc r r-rgdal -- Rscript -e 'library(rgdal); dsn <- system.file("vectors", package = "rgdal")[1]; ogrInfo(dsn=dsn, layer="cities")'

--8<---------------cut here---------------start------------->8---
Loading required package: sp
rgdal: version: 1.4-8, (SVN revision 845)
 Geospatial Data Abstraction Library extensions to R successfully loaded
 Loaded GDAL runtime: GDAL 3.0.2, released 2019/10/28
 Path to GDAL shared files:
 GDAL binary built with GEOS: TRUE
 Loaded PROJ.4 runtime: Rel. 6.2.0, September 1st, 2019, [PJ_VERSION: 620]
 Path to PROJ.4 shared files: (autodetected)
 Linking to sp version: 1.4-0
Source: "/gnu/store/m4rd975j3979zqqqfwg3b7s070i3n3h3-r-rgdal-1.4-8/site-library/rgdal/vectors",
layer: "cities"
Driver: ESRI Shapefile; number of rows: 606
Feature type: wkbPoint with 2 dimensions
Extent: (-165.27 -53.15) - (177.1302 78.2)
CRS: +proj=longlat +datum=WGS84 +no_defs
LDID: 0
Number of fields: 4
        name type length  typeName
1       NAME    4     40    String
2    COUNTRY    4     12    String
3 POPULATION   12     11 Integer64
4    CAPITAL    4      1    String
--8<---------------cut here---------------end--------------->8---


But as we have talked before, there is an issue about the upstream
test suite of the package (point 1. of [1]). So I am investigating...


[1]  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39204#26


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 22 Feb 2020 19:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 14:42:43 2020
Received: from localhost ([127.0.0.1]:50015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5afj-0007Ec-OJ
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 14:42:43 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:43424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j5afg-0007EQ-Um
 for 39204 <at> debbugs.gnu.org; Sat, 22 Feb 2020 14:42:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iVzilHyPSorcXClpq2lqAAlph0yRTtRPRE8nPv4f+s0=; b=o4jQ43YU1odJ9sRlPE5HDMaC7
 St2wd1mibhhvnEPC2PerddoQlrTAZuVP3h6xj1JOGsXTCkcNNw7S+7YxwNNuR6a4fu0EyOcqOnIRG
 zhW5trVzItaMIBvC+0AHelu7xw1/aBWL2On+Q0jQagM2V4DeN9huBM7cjaaomZE2sRWis=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j5afQ-0013pb-Bs; Sun, 23 Feb 2020 01:12:24 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ0y2yAoFR-tXgqbAQ08DCnqqrRd=6RmMwXJ7szQ0c0L5Q@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
 <cu71rqnsjp3.fsf@HIDDEN>
 <CAJ3okZ0y2yAoFR-tXgqbAQ08DCnqqrRd=6RmMwXJ7szQ0c0L5Q@HIDDEN>
Date: Sun, 23 Feb 2020 01:12:17 +0530
Message-ID: <cu7sgj2quhy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


Let's try to debug the problem you are facing. After applying the
attached patch, please provide the complete outputs of the following
commands. If the output is too long, feel free to send it as an email
attachment.

$ ./pre-inst-env guix build r-gdal

$ ./pre-inst-env guix environment --container --ad-hoc r r-rgdal -- Rscript -e 'library(rgdal); dsn <- system.file("vectors", package = "rgdal")[1]; ogrInfo(dsn=dsn, layer="cities")'

Thank you for your patience! Cheers! :-)


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-r-rgdal-Replace-proj.4-with-proj.patch
Content-Transfer-Encoding: quoted-printable

From=207b2430788c2d168bd2a8a848e488a0e03140057b Mon Sep 17 00:00:00 2001
From: Arun Isaac <arunisaac@HIDDEN>
Date: Sun, 23 Feb 2020 00:46:32 +0530
Subject: [PATCH] gnu: r-rgdal: Replace proj.4 with proj.

* gnu/packages/cran.scm (r-rgdal)[inputs]: Replace proj.4 with proj.
=2D--
 gnu/packages/cran.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index b731ddc29e..05759459af 100644
=2D-- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -18,6 +18,7 @@
 ;;; Copyright =C2=A9 2018, 2019 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2019 Nicol=C3=B2 Balzarotti <anothersms@HIDDEN>
 ;;; Copyright =C2=A9 2019 Wiktor =C5=BBelazny <wzelazny@HIDDEN>
+;;; Copyright =C2=A9 2020 Arun Isaac <arunisaac@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -15907,7 +15908,7 @@ effect size.")
     (build-system r-build-system)
     (inputs
      `(("gdal" ,gdal)
=2D       ("proj.4" ,proj.4)
+       ("proj" ,proj)
        ("zlib" ,zlib)))
     (propagated-inputs
      `(("r-sp" ,r-sp)))
=2D-=20
2.23.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5RhBkACgkQLiXui2GA
K7NckggAwRAvTsNloPg7aj35kib5+2LVDE1pgSLfB0FbeAuWULJ4mFi1KJWefiuU
lj9HzLbdwSmpxGkUYkbnOKogVM6R/1t7//wkemO64w1ZrHcpvmMYXaoz6OEx2wos
l+2grsBVhZIRPXMKfhXtQQf2mZ0rEIbJmFtYPmD50sqUsraU1OfQSkPJxsOGni90
8iLvQuLHMENxpue3cqXfw87sA44PuxY4vVJoIgb90gOKugIVyFpoznDJSrfxsAp6
T8CkI7QDT4IASXrVGMoKSfZfrMK05ubWu+RcQgEYtZBAf7UlcfCq7ntN7V8VBJqw
1sb79KyhVGvRIQmrfTfJ99HZiKYbDQ==
=DcAf
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 22:20:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 17:20:06 2020
Received: from localhost ([127.0.0.1]:48309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5GeU-0007Gy-EC
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 17:20:06 -0500
Received: from mail-qk1-f172.google.com ([209.85.222.172]:37907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j5GeS-0007GP-8h
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 17:20:05 -0500
Received: by mail-qk1-f172.google.com with SMTP id z19so3358067qkj.5
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 14:20:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=6GzWeBw4/EAvhKmGXJBbduBgY/cAj85A8hZQudZJaIE=;
 b=Cp5noFevFvvFCu3H/jM1V6Ua6L9oBd2zUStrEpDFUCYAhNB5OqLhZr1pfXfPfXnpfm
 jAPoU2WDe8RfahXuDFV4HxHjb8/k2Y1VFzENMHn86ezaXgKmUVTwQB24aKm3kBfWH2Bx
 tXOvgkpAfMONYELnXD7WyAdng3DCNfMMg/qdjP9DmEtUtunueXn+Y4QUUzWCzqLiDeRb
 jOYkFxClVQpVhD8Edh2IZT2D/Sw/gsXCPJ0zGfvwESCSo7nEGTaRbRzA2aOp0U33u20k
 69zLX2RIY00Rf4J47Jpj19Wim6heuK2PM6aUrvmmRBRLw0jJ34jM2sQGhoy9FuIz3RSC
 8Gmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=6GzWeBw4/EAvhKmGXJBbduBgY/cAj85A8hZQudZJaIE=;
 b=qRb175C2vq1Lb4yt8LQo49LdDTHnQdvMgIF6iXyZVTUjEaGFt1O+jXttYH0O/06Apj
 fapGSmLIDQ/3dE3lGuwlbLuuGPsHbi+IZ60RigF6j/6GGwlzm5L79/3jig7OzsNMbIR2
 XR1qz1vm5ToDkjE4Ufj+rosFBT6DyYTHnOV3sIGo6zOMGo03cGqCYa+mfpUuQJ5ZN4F6
 bbDSqMBAZ8BFN3cv0+eBq+qBhPIBZQg1lTLza+aqfD5my5CmAkmoTmSKND3wgPMj+pcL
 oUdoXQ9vAWCcVCfJK6moUH/elMOBdCVrJRrWpRLiLeC5fruIC6OUPJ9yjdNjVKPJFDDD
 rY1Q==
X-Gm-Message-State: APjAAAVJqT4vt7NKHztOJ+Hx218ucWxffGskjO/a2NPZEUeQ52WH3pt6
 I49beYoaN/OeI94Qj0wNMKCchdT1+1Gd9EZFzRw=
X-Google-Smtp-Source: APXvYqxeHuLAxm8W0DwOqi7p7ELva0DquXEMWXMfZq51FBxCd98ohAzSQLFkwDNi/aIQgh6VS/3QW0rEjeukxsk9Qsg=
X-Received: by 2002:a37:a496:: with SMTP id
 n144mr13925409qke.126.1582323598867; 
 Fri, 21 Feb 2020 14:19:58 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
 <cu71rqnsjp3.fsf@HIDDEN>
In-Reply-To: <cu71rqnsjp3.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 23:19:47 +0100
Message-ID: <CAJ3okZ0y2yAoFR-tXgqbAQ08DCnqqrRd=6RmMwXJ7szQ0c0L5Q@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 21 Feb 2020 at 22:40, Arun Isaac <arunisaac@HIDDEN> wrote:

> > You mean:
> >
> >   guix build --with-input=proj.4=proj r-rgdal
> >
> > then it compiles a lot... and I do not understand why gdal is
> > recompiled. Anyway!
>
> Your command recursively replaces proj.4 with proj. So, some dependency
> of gdal might have been modified resulting in a rebuild of gdal.

Yes, but gdal already depends on proj and not proj.4.
Then I examined the graph and did not find the offending package.
That's why I do not understand why gdal is recompiled.
I mean, let find the intersection between "guix graph gdal" and "guix
graph -t reverse-package proj.4", and I do not understand because I
find it empty.


> > Therefore, I do not confirm, I guess.
>
> I don't understand. With proj instead of proj.4, it does work, doesn't
> it? There are no errors and the check phase succeeds.

I have try to replace proj.4 by proj in the inputs field and I get the
same error.
Well, it does not work for me. Maybe I am doing a mistake.


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 22:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 17:14:45 2020
Received: from localhost ([127.0.0.1]:48305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5GZI-000782-R9
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 17:14:44 -0500
Received: from mail-qk1-f176.google.com ([209.85.222.176]:33806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j5GZG-00077o-DC
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 17:14:43 -0500
Received: by mail-qk1-f176.google.com with SMTP id c20so3371665qkm.1
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 14:14:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lwnM8hZZ3gTb0UFEOF3tRhZ6fW0DMUv0qg73TMXEQ2g=;
 b=C6VGWwFPlPokuDXX5VcFD5EAyrNRWgCG47hvmjslZn3/OYd+Vm3ncJuP+l9Ln2mjTf
 u3jHbgEy8iE+O5dwPHHqhG5JJ0xBVZYYYhoxoFwLJEd3jVKXQv068zUVh/96uFYzkndf
 rUhDcHCahlaPuPDBLBYntFgELCdGOKeAgIpX2P7f35Nhw/jLabfWDv4kxaHvv7GCg3Zh
 MNJ+WM7RPvpHn3XEkmq2+7tNTlgCGEXFWixyDpp2K2PIO45H8pqY7/ZWbx1hyfsGEaeg
 1sIC8MGeNBe1gPkhBX+ZOR3M6xveh/Ig0n7CWjidzoEADd6xUClUSzDCK/5raP2mOSGT
 5unA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lwnM8hZZ3gTb0UFEOF3tRhZ6fW0DMUv0qg73TMXEQ2g=;
 b=tU7i/UickhmPt/Ke3eTGYQJ49JxF7yZxR4Vp/NPO2WTBxsc93mEjSX/DhQfJUT/F4+
 VFKRzrace9aTVgm6pIdKmgxGvGvHbATls6CkbCSNQBGJd+ncbRgDZkvryFQ/99EAkjcZ
 84+yfbOFd/GYuz1Ez6yzdUyQjAeOWbTJLwbl5KGzavEmp7diu7FXWt5HgTd+RbI08qec
 uaAgiZIkp0ljrA7AXJADuSCtcTFr8tv2MS8k7aQrHnxAuQiHBAvEeOnN6NFSkT5cIRiO
 iHUnlFQOVBxhVFXyFTlU6vSqFNfXZTt9fim36ps85T0c5et+Ibln937oxnjRj95e4X2O
 Ta/Q==
X-Gm-Message-State: APjAAAUGNxom9ksHmoYYuQWt3trPmnVe3Zjtz6N5Ep8C8rRtRxcxFWUU
 ftF6wDAn7o53HCXcLDRXMXMtmQReKIw8v07a71uk6A==
X-Google-Smtp-Source: APXvYqxrEPFuJ13O6d+zO1VBljMVmZmKmoCVI3pYstT73DPo+350fFYw1qrXVwCOvBY57+/z/3ZI3HeWMDz+5YxL+TA=
X-Received: by 2002:a05:620a:1092:: with SMTP id
 g18mr4159646qkk.80.1582323276816; 
 Fri, 21 Feb 2020 14:14:36 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
 <cu7k14grvey.fsf@HIDDEN>
 <CAJ3okZ2RgxiD-GQV4F113Hh=ZyG8bHVemEb07dp++APFUXDuKA@HIDDEN>
 <cu74kvjsjwy.fsf@HIDDEN>
In-Reply-To: <cu74kvjsjwy.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 23:14:25 +0100
Message-ID: <CAJ3okZ2G5tjjsjs1A4orCB8kDa8zNKZOL6ve1Yn6XnKbUEPvwA@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 21 Feb 2020 at 22:36, Arun Isaac <arunisaac@HIDDEN> wrote:

> > For other packages than r-rgdal depending on proj.4:
> >  - ok with proj instead of proj.4: osm2pgsql, xygrib and libgaiagraphics.
> >  - not ok: libspatialite and libosmium
>
> Indeed, all packages don't yet support proj. We'll have to keep proj.4
> around until their upstreams adds support for proj.

So it is difficult to deprecate proj.4, IMHO.

> > And some packages do not build at all with the default (proj.4):
> > mapnik and spatialite-gui. Well, it is more than on my machine. ;-)
>
> These will have to be fixed too. Do open separate bug reports for
> those. Please provide patches if possible.

I will do.


Thanks,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 21:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 16:40:43 2020
Received: from localhost ([127.0.0.1]:48269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5G2M-0006GN-PR
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 16:40:43 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:39192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j5G2J-0006GD-Pu
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 16:40:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LOn/Cd+BcUzWotXcDF8mrhMUYslZ8HeYgmvPhSIHzDI=; b=VWpzbHk9VVIGDIqh2k72vHaku
 JrBBFEeIU8ibFWWbhTQvCgBY6xACK9l37QiTQjMla7X9BR9L6yCF4gitW7OqhNNyAK694qLUbQy5e
 iunY804WhaLDvvVwgmhz6yfc3DLWsx8m3W1IihyG0GSgXOKssQGbAJHzE/p1am+YNzEJs=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j5G24-000yKJ-NL; Sat, 22 Feb 2020 03:10:25 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
Date: Sat, 22 Feb 2020 03:10:24 +0530
Message-ID: <cu71rqnsjp3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


> You mean:
>
>   guix build --with-input=3Dproj.4=3Dproj r-rgdal
>
> then it compiles a lot... and I do not understand why gdal is
> recompiled. Anyway!

Your command recursively replaces proj.4 with proj. So, some dependency
of gdal might have been modified resulting in a rebuild of gdal.

> So after some CPU burning, I get:
>
> --8<---------------cut here---------------start------------->8---
> Testing examples for package =E2=80=98rgdal=E2=80=99
> Running specific tests for package =E2=80=98rgdal=E2=80=99
>   Running =E2=80=98srs_rendering.R=E2=80=99
>   comparing =E2=80=98srs_rendering.Rout=E2=80=99 to =E2=80=98srs_renderin=
g.Rout.save=E2=80=99 ...
> 5c5
> < [1] "Rel. 6.2.0, September 1st, 2019, [PJ_VERSION: 620]"
> ---
>> [1] "Rel. 6.0.0, March 1st, 2019, [PJ_VERSION: 600]"
> 7c7
> < [1] "GDAL 3.0.2, released 2019/10/28"
> ---
>> [1] "GDAL 2.4.0, released 2018/12/14"
> 11c11
> <
>                            scot_BNG
> ---
>>                                                                         =
                                                                           =
  trin_inca_pl03
> 12c12
> < "+proj=3Dtmerc +lat_0=3D49 +lon_0=3D-2 +k=3D0.9996012717 +x_0=3D400000
> +y_0=3D-100000 +ellps=3Dairy +units=3Dm +no_defs"
> ---
>>                                                                         =
                                                                           =
              NA
> 13c13
> <
>                      trin_inca_pl03
> ---
>>                                                                         =
                                                                   kiritima=
ti_primary_roads
> 14c14
> <
>                                  NA
> ---
>>                                                                         =
                                        "+proj=3Dutm +zone=3D4 +datum=3DWGS=
84 +units=3Dm +no_defs "
> 16c16
> <
> "+proj=3Dlonglat +datum=3DWGS84 +no_defs"
> ---
> <
>            kiritimati_primary_roads
> ---
>>                                                                         =
                                                                           =
        scot_BNG
> 18c18
> <                                                       "+proj=3Dutm
> +zone=3D4 +datum=3DWGS84 +units=3Dm +no_defs"
> ---
>> "+proj=3Dtmerc +lat_0=3D49 +lon_0=3D-2 +k=3D0.9996012717 +x_0=3D400000 +=
y_0=3D-100000 +ellps=3Dairy +towgs84=3D446.448,-125.157,542.06,0.15,0.247,0=
.842,-20.489 +units=3Dm +no_defs "
> 22c22
> < [1] "+proj=3Dlonglat +a=3D6378137.01 +rf=3D298.257223563
> +towgs84=3D0,0,0,0,0,0,0 +no_defs"
> ---
>> [1] "+proj=3Dlonglat +ellps=3DWGS84 +towgs84=3D0,0,0,0,0,0,0 +no_defs "
> 24c24
> < [1] "+proj=3Dutm +zone=3D23 +south +ellps=3Daust_SA
> +towgs84=3D-57,1,-41,0,0,0,0 +units=3Dm +no_defs"
> ---
>> [1] "+proj=3Dutm +zone=3D23 +south +ellps=3Daust_SA +towgs84=3D-57,1,-41=
,0,0,0,0 +units=3Dm +no_defs "
> 26c26
> < [1] "+proj=3Dlonglat +datum=3DWGS84 +no_defs"
> ---
>> [1] "+proj=3Dlonglat +datum=3DWGS84 +no_defs "
> 28c28
> < [1] "+proj=3Dlcc +lat_1=3D46.8 +lat_0=3D46.8 +lon_0=3D0
> +k_0=3D0.999877420000019 +x_0=3D600000 +y_0=3D2200000.00000032
> +ellps=3Dclrk80ign +pm=3Dparis +towgs84=3D-168,-60,320,0,0,0,0 +units=3Dm
> +no_defs"
> ---
>> [1] "+proj=3Dlcc +lat_1=3D46.8 +lat_0=3D46.8 +lon_0=3D0 +k_0=3D0.9998774=
200000193 +x_0=3D600000 +y_0=3D2200000.000000325 +a=3D6378249.2 +b=3D635651=
5.000000472 +towgs84=3D-168,-60,320,0,0,0,0 +pm=3Dparis +units=3Dm +no_defs=
 "
> 40c40
> < file:  SP27GTIF.TIF , SRS:  +proj=3Dtmerc +lat_0=3D36.6666666666667
> +lon_0=3D-88.3333333333333 +k=3D0.999975 +x_0=3D152400.30480061 +y_0=3D0
> +ellps=3Dclrk66 +towgs84=3D-8,160,176,0,0,0,0 +units=3Dus-ft +no_defs
> ---
>> file:  SP27GTIF.TIF , SRS:  +proj=3Dtmerc +lat_0=3D36.66666666666666 +lo=
n_0=3D-88.33333333333333 +k=3D0.9999749999999999 +x_0=3D152400.3048006096 +=
y_0=3D0 +datum=3DNAD27 +units=3Dus-ft +no_defs
> 41c41
> < file:  cea.tif , SRS:  +proj=3Dcea +lat_ts=3D33.75
> +lon_0=3D-117.333333333333 +x_0=3D0 +y_0=3D0 +datum=3DNAD27 +units=3Dm +n=
o_defs
> ---
>> file:  cea.tif , SRS:  +proj=3Dcea +lon_0=3D-117.333333333333 +lat_ts=3D=
33.75 +x_0=3D0 +y_0=3D0 +datum=3DNAD27 +units=3Dm +no_defs
> 42c42
> < file:  erdas_spnad83.tif , SRS:  +proj=3Dtmerc +lat_0=3D30
> +lon_0=3D-82.1666666666667 +k=3D0.9999 +x_0=3D200000 +y_0=3D0 +ellps=3DGR=
S80
> +towgs84=3D0,0,0,0,0,0,0 +units=3Dus-ft +no_defs
> ---
>> file:  erdas_spnad83.tif , SRS:  +proj=3Dtmerc +lat_0=3D30 +lon_0=3D-82.=
16666666666667 +k=3D0.9999 +x_0=3D200000 +y_0=3D0 +ellps=3DGRS80 +towgs84=
=3D0,0,0,0,0,0,0 +units=3Dus-ft +no_defs
> 43c43
> < file:  scaleoffset.vrt , SRS:  +proj=3Dutm +zone=3D18 +ellps=3DWGS84
> +towgs84=3D0,0,0,0,0,0,0 +units=3Dm +no_defs
> ---
>> file:  scaleoffset.vrt , SRS:  +proj=3Dutm +zone=3D18 +datum=3DWGS84 +un=
its=3Dm +no_defs
>   Running =E2=80=98test_proj.R=E2=80=99
>   comparing =E2=80=98test_proj.Rout=E2=80=99 to =E2=80=98test_proj.Rout.s=
ave=E2=80=99 ... OK
>    Running =E2=80=98tests.R=E2=80=99
>   comparing =E2=80=98tests.Rout=E2=80=99 to =E2=80=98tests.Rout.save=E2=
=80=99 ... OK
>   Running =E2=80=98tripup.R=E2=80=99
>   comparing =E2=80=98tripup.Rout=E2=80=99 to =E2=80=98tripup.Rout.save=E2=
=80=99 ...
> 266c266
> <  coords FALSE
> ---
>>  coords TRUE
> 267c267
> <  holes FALSE
> ---
>>  holes TRUE
> 273c273
> <  coords FALSE
> ---
>>  coords TRUE
> 274c274
> <  holes FALSE
> ---
>>  holes TRUE
> Running vignettes for package =E2=80=98rgdal=E2=80=99
>   Running =E2=80=98OGR_shape_encoding.Rnw=E2=80=99
> phase `check' succeeded after 18.7 seconds
> --8<---------------cut here---------------end--------------->8---
>
>
> Therefore, I do not confirm, I guess.

I don't understand. With proj instead of proj.4, it does work, doesn't
it? There are no errors and the check phase succeeds.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5QTkgACgkQLiXui2GA
K7Nq9wf/XCMkD6XG1IPh/hx9pT37xyLyeAe6PAZb0nXuyhEPNKlY2bI+DHqmli9K
m5fDS6QRHi7Z3sLkp3mJ/XyH9fsO1g0q5eHUtVbQijAkod2GSrCMeb6/Ui1eFFfR
lBgvCC9OnmIIp6P9WomzQSxBpL8nCBCauaNioYX1Eo319QluArsYn2W6eWy7S5Jz
vMq/at5waRdFzIRx5M1t7iekmI5lukwCM4cR2sWOU/Xyeq2ze5aoG0At/YMhD0mV
YyiJ/Pd0oV+IgUA8s7oUfydkjZq0DGyGwYi4rz3BSFN9+z5B8QVKivJgX5Das//b
8cEBhGUZcXE/4PUSw8aFeQgebfi0BA==
=vayy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 21:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 16:36:17 2020
Received: from localhost ([127.0.0.1]:48264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5Fy5-00069t-8q
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 16:36:17 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:39178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j5Fy0-00069h-IB
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 16:36:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mMSOhMrd1sho7yiXuxmr9yCQ9O0qEr2PzcVjJq3esnA=; b=L3yYxvUqpwfzl184WASaKanHE
 Jt7iR1xCPl6HWDnyG7ewIpsoHgVoxuKv7me6AnK8CFKsKcQeg3lrKpqEEjtz5nAE3kpwh+zlCMPMG
 O826dixUQYzBnMsMKLfjez0JpOIFAsUtqVEOLvpbsH3TvWlbhzLGOwd+Uzr7XwFWzUC5Y=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j5Fxk-000yJG-45; Sat, 22 Feb 2020 03:05:56 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ2RgxiD-GQV4F113Hh=ZyG8bHVemEb07dp++APFUXDuKA@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
 <cu7k14grvey.fsf@HIDDEN>
 <CAJ3okZ2RgxiD-GQV4F113Hh=ZyG8bHVemEb07dp++APFUXDuKA@HIDDEN>
Date: Sat, 22 Feb 2020 03:05:41 +0530
Message-ID: <cu74kvjsjwy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> For other packages than r-rgdal depending on proj.4:
>  - ok with proj instead of proj.4: osm2pgsql, xygrib and libgaiagraphics.
>  - not ok: libspatialite and libosmium

Indeed, all packages don't yet support proj. We'll have to keep proj.4
around until their upstreams adds support for proj.

> And some packages do not build at all with the default (proj.4):
> mapnik and spatialite-gui. Well, it is more than on my machine. ;-)

These will have to be fixed too. Do open separate bug reports for
those. Please provide patches if possible.

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5QTS4ACgkQLiXui2GA
K7PHvQf7B7ZSu2z0OG6Tql3hnxVXlHy8wCRl1w5UfxWjDmlVA1wWFeew5QlSYq9p
Qvytrs/F9GJfQDWJ7gneKfd29IeP41wQU3r+ilGJMXxKdhUC2Dq4zH+rxQCfzaCj
tKkLjxo/JMb27Fjaple44gqkYj9aq2HMElBAGy/8seaxb6MzZmSuTycBir7prRln
SeTUnh2y/mimQRR66roWqd8jm68KpAgA3j3GJsEsks5+Qqost2y5t/MP4/20ZLEI
HZWF0ZpHWHqdH8wqmzwp2kJjQBMlW/qyVI2a9y6SBKg7fHEDa3mT5/8od1xKGGN+
RmyIt8Fyux+ql9gL0v/dO0kF894OTg==
=uBIP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 18:54:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 13:54:40 2020
Received: from localhost ([127.0.0.1]:48131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5DRg-0008Sb-76
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 13:54:40 -0500
Received: from mail-qv1-f48.google.com ([209.85.219.48]:45626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j5DRe-0008SN-Vk
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 13:54:39 -0500
Received: by mail-qv1-f48.google.com with SMTP id l14so1418350qvu.12
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 10:54:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nFHVlZVLYyFCnsKo0gLkU7/wOxXj+aEVXKDCX0gcgL0=;
 b=oSm5myi3rMkSkNRe0F1L+sxtAp4u7FLSCi1uIJOhSnFitJxi33pyk99IV3wJCrTW6P
 kGGtfI0YK9glDRi8GJwtYn8/l482bC4joCWHmNwndG4qn+1K356pNXyTFM7GZNBVTnX5
 6EgZMCGAmE3i04XqdUj7c+4ZAyoryeursSkTtBEAWBr+NK48l84LtU2kACdKO/w9+C9/
 t8p3tSpgA4JiVZQ+taqk2hmApCghwacaGAyil+pZZa7XNANknImrwMruXH6blX6qc2fn
 klk+CsVdNbWxp8oBcsHWXr9hbOZA/JKvxH/HXvQmkpUcM8M2UQZcFcVC7H2snZ5XD6ML
 M8pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nFHVlZVLYyFCnsKo0gLkU7/wOxXj+aEVXKDCX0gcgL0=;
 b=aG/lOQcFHeYhSP3gryOexX0LweIQhhlsbkR21QIaB0lPn6i1sEVrmUBsAAtR2XyOQC
 Msav03Dy7+sImH9vhgrsYvFxKCk/InYxJ2Oi6LcLKFQJPpx37Sq51o3gC/VtSCm6JAaC
 lLo9mm5AugQdIqySxHmwSxLsaMP6hQ2/72ua7rpJrsaCo09F+4mFbxLexELeoDRc3Nqv
 A2UC3spyVvVMirBSbFWUfLLw9vKEMdUIOqBsT6IqPtEp3foXJkLXszr3OSFy4+aYAJx3
 jBSWkL5spqb7a1miVRPX1lV0EHIhRmYMBVm1XWBBxZdIPsdB6/dd/wQzbKWMvhFHmhL3
 3ZzQ==
X-Gm-Message-State: APjAAAXogFMYssnjRvHoemX9GuB4a7Dtb7Y25Yoz1ij55H26/3KzhHGn
 3ywHZbVqw8E/nJy7SVzBAHM0drd0rwt9uTFpnzis5LxD
X-Google-Smtp-Source: APXvYqxqlYFuRrCKibiLxN5cxZLO+fijUbfFOH50i/tvhXscyAwiQlWcw1i4d4cC+QLwCl2VR1CRXqMnT9e3+DoTAxc=
X-Received: by 2002:ad4:46ce:: with SMTP id g14mr32160930qvw.67.1582311273411; 
 Fri, 21 Feb 2020 10:54:33 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
 <cu7k14grvey.fsf@HIDDEN>
In-Reply-To: <cu7k14grvey.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 19:54:22 +0100
Message-ID: <CAJ3okZ2RgxiD-GQV4F113Hh=ZyG8bHVemEb07dp++APFUXDuKA@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arun,

On Fri, 21 Feb 2020 at 13:13, Arun Isaac <arunisaac@HIDDEN> wrote:

> proj and proj.4 are different versions of the same software, with proj
> being the newer version. See
> https://proj.org/faq.html#what-happend-to-proj-4 . I say we completely
> deprecate our proj.4 package and replace all occurrences of proj.4 with
> proj.

For other packages than r-rgdal depending on proj.4:
 - ok with proj instead of proj.4: osm2pgsql, xygrib and libgaiagraphics.
 - not ok: libspatialite and libosmium

And some packages do not build at all with the default (proj.4):
mapnik and spatialite-gui. Well, it is more than on my machine. ;-)

http://data.guix.gnu.org/revision/e40d6c4c7a74fca3572991c55706a787b19d4d90/package/mapnik/3.0.18
http://data.guix.gnu.org/revision/e40d6c4c7a74fca3572991c55706a787b19d4d90/package/spatialite-gui/1.7.1


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 18:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 13:53:42 2020
Received: from localhost ([127.0.0.1]:48127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5DQj-0008Qx-Oc
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 13:53:42 -0500
Received: from mail-qk1-f170.google.com ([209.85.222.170]:43945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j5DQh-0008Qh-3Z
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 13:53:39 -0500
Received: by mail-qk1-f170.google.com with SMTP id p7so2763526qkh.10
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 10:53:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=EaW/aFaSDwzfAxAyXOfKyatS+DuV0+qNa+4RsGv4Y8o=;
 b=Uf4L0QdTawOdhP3smhhR43Wv+Vk51jiOnTc6zyF2GFzOxcEEjDGBrjBvW7enTWBwSg
 XtjNvY0V67VlgO/nfTXl2FSHL8PBxVMptwLExWhuahlLVcdWc8P/Q0rLFu0vvFdFuY0m
 LhGFHVO/B476zoFp6c8GRXUIiKwEcxrOvYXonvplYuvwn4nTo8GI8RfKZeG7o5vrZhrM
 dK1ht9jPBg81zZUEFK9Y1TOYbQfibp1PngCAmd1c6gGwAnwSc3I/tmc9vboAenjMFhHm
 pNYZCCWlWKRr54uXNojFaD1h4jUK9X+JbaU3JJL6B6OV/Pz98xD89QckjH/wrHfpZp9s
 xWaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=EaW/aFaSDwzfAxAyXOfKyatS+DuV0+qNa+4RsGv4Y8o=;
 b=Z17/TgQLKuX/rZetMQwDllo017eIIQeSXu+ukiMHRpM2mNN54gFQqyU0o2/PlDAYSA
 oymQ6LBQaUQyRjHqesk7xeg70glRVTdJyQ86XXK3X+gcjqwIIMQF14wjaD+uNx3KgY4+
 a3+grJNxFu8ainSyZXmY5U52hKa26mN0fwL5ffV/+5kDxyROxZtK8SNsAmV4JjBeQDuO
 7eqglfdtFmCDDZ5jYKxUdO9BpBkSDHsd3eJt8liA+kx2ZxFTZ+NuaI/ZPb6hn5YYMzSZ
 sj5cOqcsVLY6bBgMgxqfmNLx0Qh6+BiT3d5DHsP4mJRkkmTiW9kW4ovurotOYByg2Nhl
 /NsQ==
X-Gm-Message-State: APjAAAUwoWGbl9jRzneuS1Q6luWRtWU+ywpjn67hXKrpOHPW46SMBUHL
 6y+y8PVqgvAm9/5EZl4nbmqTKT3c3ZD+MMrlgcWCHBlI
X-Google-Smtp-Source: APXvYqyVs0VryXYfM4K23NCN+S8vMYfSmyypVU05p9vUld2fDy9D4a1s8Ta83W1oTkg3LH+kR8xkhHoccyRTa50ethU=
X-Received: by 2002:a37:a496:: with SMTP id
 n144mr13110787qke.126.1582311213405; 
 Fri, 21 Feb 2020 10:53:33 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
In-Reply-To: <cu7tv3lrxpq.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 19:53:22 +0100
Message-ID: <CAJ3okZ2D3Us4p3hKMZBrnFbwJRrSpZkHkX_OZY_3Yhb_9pwn-w@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arun,

On Thu, 20 Feb 2020 at 18:11, Arun Isaac <arunisaac@HIDDEN> wrote=
:

> >  2. a regression of r-rgdal introduced by your commit
> > f9d328833fc1f5d0fb76b61b12d1a3cb013932e6
>
> Replacing proj.4 with proj in the r-rgdal package seems to fix this
> regression. Can you confirm?

You mean:

  guix build --with-input=3Dproj.4=3Dproj r-rgdal

then it compiles a lot... and I do not understand why gdal is
recompiled. Anyway!
So after some CPU burning, I get:

--8<---------------cut here---------------start------------->8---
Testing examples for package =E2=80=98rgdal=E2=80=99
Running specific tests for package =E2=80=98rgdal=E2=80=99
  Running =E2=80=98srs_rendering.R=E2=80=99
  comparing =E2=80=98srs_rendering.Rout=E2=80=99 to =E2=80=98srs_rendering.=
Rout.save=E2=80=99 ...
5c5
< [1] "Rel. 6.2.0, September 1st, 2019, [PJ_VERSION: 620]"
---
> [1] "Rel. 6.0.0, March 1st, 2019, [PJ_VERSION: 600]"
7c7
< [1] "GDAL 3.0.2, released 2019/10/28"
---
> [1] "GDAL 2.4.0, released 2018/12/14"
11c11
<
                           scot_BNG
---
>                                                                          =
                                                                           =
 trin_inca_pl03
12c12
< "+proj=3Dtmerc +lat_0=3D49 +lon_0=3D-2 +k=3D0.9996012717 +x_0=3D400000
+y_0=3D-100000 +ellps=3Dairy +units=3Dm +no_defs"
---
>                                                                          =
                                                                           =
             NA
13c13
<
                     trin_inca_pl03
---
>                                                                          =
                                                                  kiritimat=
i_primary_roads
14c14
<
                                 NA
---
>                                                                          =
                                       "+proj=3Dutm +zone=3D4 +datum=3DWGS8=
4 +units=3Dm +no_defs "
16c16
<
"+proj=3Dlonglat +datum=3DWGS84 +no_defs"
---
<
           kiritimati_primary_roads
---
>                                                                          =
                                                                           =
       scot_BNG
18c18
<                                                       "+proj=3Dutm
+zone=3D4 +datum=3DWGS84 +units=3Dm +no_defs"
---
> "+proj=3Dtmerc +lat_0=3D49 +lon_0=3D-2 +k=3D0.9996012717 +x_0=3D400000 +y=
_0=3D-100000 +ellps=3Dairy +towgs84=3D446.448,-125.157,542.06,0.15,0.247,0.=
842,-20.489 +units=3Dm +no_defs "
22c22
< [1] "+proj=3Dlonglat +a=3D6378137.01 +rf=3D298.257223563
+towgs84=3D0,0,0,0,0,0,0 +no_defs"
---
> [1] "+proj=3Dlonglat +ellps=3DWGS84 +towgs84=3D0,0,0,0,0,0,0 +no_defs "
24c24
< [1] "+proj=3Dutm +zone=3D23 +south +ellps=3Daust_SA
+towgs84=3D-57,1,-41,0,0,0,0 +units=3Dm +no_defs"
---
> [1] "+proj=3Dutm +zone=3D23 +south +ellps=3Daust_SA +towgs84=3D-57,1,-41,=
0,0,0,0 +units=3Dm +no_defs "
26c26
< [1] "+proj=3Dlonglat +datum=3DWGS84 +no_defs"
---
> [1] "+proj=3Dlonglat +datum=3DWGS84 +no_defs "
28c28
< [1] "+proj=3Dlcc +lat_1=3D46.8 +lat_0=3D46.8 +lon_0=3D0
+k_0=3D0.999877420000019 +x_0=3D600000 +y_0=3D2200000.00000032
+ellps=3Dclrk80ign +pm=3Dparis +towgs84=3D-168,-60,320,0,0,0,0 +units=3Dm
+no_defs"
---
> [1] "+proj=3Dlcc +lat_1=3D46.8 +lat_0=3D46.8 +lon_0=3D0 +k_0=3D0.99987742=
00000193 +x_0=3D600000 +y_0=3D2200000.000000325 +a=3D6378249.2 +b=3D6356515=
.000000472 +towgs84=3D-168,-60,320,0,0,0,0 +pm=3Dparis +units=3Dm +no_defs =
"
40c40
< file:  SP27GTIF.TIF , SRS:  +proj=3Dtmerc +lat_0=3D36.6666666666667
+lon_0=3D-88.3333333333333 +k=3D0.999975 +x_0=3D152400.30480061 +y_0=3D0
+ellps=3Dclrk66 +towgs84=3D-8,160,176,0,0,0,0 +units=3Dus-ft +no_defs
---
> file:  SP27GTIF.TIF , SRS:  +proj=3Dtmerc +lat_0=3D36.66666666666666 +lon=
_0=3D-88.33333333333333 +k=3D0.9999749999999999 +x_0=3D152400.3048006096 +y=
_0=3D0 +datum=3DNAD27 +units=3Dus-ft +no_defs
41c41
< file:  cea.tif , SRS:  +proj=3Dcea +lat_ts=3D33.75
+lon_0=3D-117.333333333333 +x_0=3D0 +y_0=3D0 +datum=3DNAD27 +units=3Dm +no_=
defs
---
> file:  cea.tif , SRS:  +proj=3Dcea +lon_0=3D-117.333333333333 +lat_ts=3D3=
3.75 +x_0=3D0 +y_0=3D0 +datum=3DNAD27 +units=3Dm +no_defs
42c42
< file:  erdas_spnad83.tif , SRS:  +proj=3Dtmerc +lat_0=3D30
+lon_0=3D-82.1666666666667 +k=3D0.9999 +x_0=3D200000 +y_0=3D0 +ellps=3DGRS8=
0
+towgs84=3D0,0,0,0,0,0,0 +units=3Dus-ft +no_defs
---
> file:  erdas_spnad83.tif , SRS:  +proj=3Dtmerc +lat_0=3D30 +lon_0=3D-82.1=
6666666666667 +k=3D0.9999 +x_0=3D200000 +y_0=3D0 +ellps=3DGRS80 +towgs84=3D=
0,0,0,0,0,0,0 +units=3Dus-ft +no_defs
43c43
< file:  scaleoffset.vrt , SRS:  +proj=3Dutm +zone=3D18 +ellps=3DWGS84
+towgs84=3D0,0,0,0,0,0,0 +units=3Dm +no_defs
---
> file:  scaleoffset.vrt , SRS:  +proj=3Dutm +zone=3D18 +datum=3DWGS84 +uni=
ts=3Dm +no_defs
  Running =E2=80=98test_proj.R=E2=80=99
  comparing =E2=80=98test_proj.Rout=E2=80=99 to =E2=80=98test_proj.Rout.sav=
e=E2=80=99 ... OK
   Running =E2=80=98tests.R=E2=80=99
  comparing =E2=80=98tests.Rout=E2=80=99 to =E2=80=98tests.Rout.save=E2=80=
=99 ... OK
  Running =E2=80=98tripup.R=E2=80=99
  comparing =E2=80=98tripup.Rout=E2=80=99 to =E2=80=98tripup.Rout.save=E2=
=80=99 ...
266c266
<  coords FALSE
---
>  coords TRUE
267c267
<  holes FALSE
---
>  holes TRUE
273c273
<  coords FALSE
---
>  coords TRUE
274c274
<  holes FALSE
---
>  holes TRUE
Running vignettes for package =E2=80=98rgdal=E2=80=99
  Running =E2=80=98OGR_shape_encoding.Rnw=E2=80=99
phase `check' succeeded after 18.7 seconds
--8<---------------cut here---------------end--------------->8---


Therefore, I do not confirm, I guess.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 12:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 07:31:18 2020
Received: from localhost ([127.0.0.1]:46509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j57Sf-0004EM-RN
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 07:31:18 -0500
Received: from mail-qt1-f178.google.com ([209.85.160.178]:41853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j57Sd-000493-N1
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 07:31:16 -0500
Received: by mail-qt1-f178.google.com with SMTP id l21so1098402qtr.8
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 04:31:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=rtRKYK7mRIkg/uQhFYtowKH64GJivZAdmky+tQCeaBA=;
 b=aWowb75PPp8lADt0Z3N1iPrWJpcyyCgMXAmeIyJt0G2VCiN+AAx+fU1buRL+uk9Hwy
 FgmUA7K2bcP1MALUgoYQJygdmixeI9hwQz/OWVgVXVa60fZBPLQbt8Wcyy6nfj97lIBu
 HzwtFgwWIr41n4jDaUgT1F3kfHy/SezSN3iA/sJIs+4romvtnUk/TXRxXV8v3Co2ZK0u
 OEZyK4ZswjIL2EJ97S646AncGl29KWU6gn+67vtctwxCShmD6GW6099AcHmyLw0fX6er
 GO4dlU6aV0CjA++vXJoxcNqcdsXCJROrCGLooHGOuQgX0VKFxa2n5OMdD47vSs1xBhvY
 EJQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=rtRKYK7mRIkg/uQhFYtowKH64GJivZAdmky+tQCeaBA=;
 b=kKilTJ9JaO9AC+q+xj1LJdEHpigCoWgkxlYuiSctaOkgEIAikBkbS5SJyKkDJjlDej
 s3LRxGVZWMExktZV3KhfyjWXI9LHG9iE+gIRIRsDLJy4QCSC2JxtOF76nB1yyHq38chM
 hxtzvJk7OmK8sgS7mdhYdqp/prBWQ3ZcVQpcGADapDSz1CUadT5gkNCz6oBr4VpKVqyd
 yL65p4TwsGEf4bLo6JJm40DoeUzTmKsnApg1LHN5cvwc9gE6VFhB6PX/OmDprl3JQ5vt
 xOv0Gy7CrbAg2rhEJ4mrxNTaHxfDTYUEPbdDBinmULzweQrGgqRTD5PJoE2GQap1Um2w
 z17Q==
X-Gm-Message-State: APjAAAUmuXF6Qod0NWo6hyv6tvNkFCSKA7e7W7vtMiZU3TF5tXE0GM3C
 NgjOdwzTF9ALiE8nl6oV9iwU1Nl7cTHZPZIRw08ngZjD
X-Google-Smtp-Source: APXvYqwLqHh6iYVTrbRO9Dywii0c4BbvfzgVKsokAgfd9HDFoH9TyMrBoQxAnfvo21cIhqPP/Hzucm30GhTj32LV1Eo=
X-Received: by 2002:ac8:550a:: with SMTP id j10mr32138478qtq.354.1582288270057; 
 Fri, 21 Feb 2020 04:31:10 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
 <cu7k14grvey.fsf@HIDDEN>
In-Reply-To: <cu7k14grvey.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 13:30:59 +0100
Message-ID: <CAJ3okZ2jOh4jN8SDKJhY1W7fJWkhA5L64N5bMXFmyQGv6v+GTA@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 21 Feb 2020 at 13:13, Arun Isaac <arunisaac@HIDDEN> wrote:

> >> >  2. a regression of r-rgdal introduced by your commit
> >> > f9d328833fc1f5d0fb76b61b12d1a3cb013932e6
> >>
> >> Replacing proj.4 with proj in the r-rgdal package seems to fix this
> >> regression. Can you confirm?
> >
> > Maybe, but it is not what the user expects. Upstream explicitly
> > mentions proj.4, see [1].
>
> > [1] https://cloud.r-project.org/web/packages/rgdal/index.html
>
> No, upstream says that both proj (aka proj6) and proj.4 are
> supported. Quoting [1],
>
> "From 'rgdal' 1.4.1, provision is made for 'PROJ6' accommodation, ..."

I agree, but I was referring to "access to projection/transformation
operations from the 'PROJ.4' library." or "Windows and Mac Intel OS X
binaries (including 'GDAL', 'PROJ.4' and 'Expat') are provided on
'CRAN'."

Well, your comment below says my remark here is irrelevant. :-)


> > The question is: why proj instead of proj.4 in libgeotiff?
> > The bug [1] cannot be solved using proj.4, why?
>
> proj and proj.4 are different versions of the same software, with proj
> being the newer version. See
> https://proj.org/faq.html#what-happend-to-proj-4 . I say we completely
> deprecate our proj.4 package and replace all occurrences of proj.4 with
> proj.

Thank you for the pointer, I was not aware.
Well, I agree. Let replace all the dependencies of proj.4 by proj and
deprecate our proj.4 package.


--8<---------------cut here---------------start------------->8---
$ guix graph -t reverse-package proj.4 \
    | grep label | cut -d'=' -f2 | cut -d',' -f1
 "proj.4@HIDDEN"
 "r-sf@HIDDEN"
 "r-spdep@HIDDEN"
 "r-monocle3@HIDDEN"
 "r-cicero-monocle3@HIDDEN"
 "r-adegenet@HIDDEN"
 "r-rmetasim@HIDDEN"
 "r-hierfstat@HIDDEN"
 "r-pegas@HIDDEN"
 "r-rgdal@HIDDEN"
 "libosmium@HIDDEN"
 "osm2pgsql@HIDDEN"
 "mapnik@HIDDEN"
 "python2-mapnik@HIDDEN"
 "xygrib@HIDDEN"
 "spatialite-gui@HIDDEN"
 "libspatialite@HIDDEN"
 "libgaiagraphics@HIDDEN"
--8<---------------cut here---------------end--------------->8---


Thanks,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 12:13:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 07:13:03 2020
Received: from localhost ([127.0.0.1]:46500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j57B1-0002k8-27
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 07:13:03 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:37286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j57Ax-0002jd-20
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 07:13:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Nwwe8G0HOG9pcp6uG3bNa68vu3rYl+xO2DoTaKQfIcQ=; b=IPe9KaGqCawUfKCMNJHHu1Fu3
 jbIkIMdb4tGJfMxBE+UXzeo+ktdXj0JMulqDgx5CrYlFnH84FklKMiJFMvZ1klcevagU2pnlCO4NV
 6wjN/iswJS0TXUmfHM/r3gKLkeMYgrYqnUbMRNsjyeg21Is1jvzTi8wEwbq7FXGMq0BrY=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j57Ah-000vt8-Hf; Fri, 21 Feb 2020 17:42:43 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
 <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
Date: Fri, 21 Feb 2020 17:42:37 +0530
Message-ID: <cu7k14grvey.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> >  2. a regression of r-rgdal introduced by your commit
>> > f9d328833fc1f5d0fb76b61b12d1a3cb013932e6
>>
>> Replacing proj.4 with proj in the r-rgdal package seems to fix this
>> regression. Can you confirm?
>
> Maybe, but it is not what the user expects. Upstream explicitly
> mentions proj.4, see [1].

> [1] https://cloud.r-project.org/web/packages/rgdal/index.html

No, upstream says that both proj (aka proj6) and proj.4 are
supported. Quoting [1],

"From 'rgdal' 1.4.1, provision is made for 'PROJ6' accommodation, ..."

> The question is: why proj instead of proj.4 in libgeotiff?
> The bug [1] cannot be solved using proj.4, why?

proj and proj.4 are different versions of the same software, with proj
being the newer version. See
https://proj.org/faq.html#what-happend-to-proj-4 . I say we completely
deprecate our proj.4 package and replace all occurrences of proj.4 with
proj.

WDYT?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5PyTUACgkQLiXui2GA
K7M6Swf+IRNnns7KYcuE27dTy7B5qwFygUGq0zZQhgbcBHvw5NZGdSWN6cOlJtRb
LNwzsjtnN6ggeiqXnZW64WKMKubqdBPJjcuJpBY2YUIQeO1wJLl8ug+7S5+aS9Qk
CpJ1/iMAe50Ws0/q3j3bg094yRm/gWHVJWmG7DNmHp3NbNjPC2JRd+GzeLd9BPGA
LIlWWW0XHvIZXBBiiLWtHK/Z68o0sDMaCl9Ba4bMrmWJdtdhS7Oz0m1RdMxYt0Y0
+Xc8CFOgHC7HbRonUtnth4OL8dCCmw+8PgQkLaQEPcIXqOOIKHFmOKdHLiVMnSZ9
+twOq4wF4x5wYfSXaT8CvhbWlvsGng==
=lem5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 21 Feb 2020 11:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 06:19:34 2020
Received: from localhost ([127.0.0.1]:46453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j56LF-0001EE-6h
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 06:19:34 -0500
Received: from mail-qt1-f176.google.com ([209.85.160.176]:46934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j56L9-0001Dz-WD
 for 39204 <at> debbugs.gnu.org; Fri, 21 Feb 2020 06:19:30 -0500
Received: by mail-qt1-f176.google.com with SMTP id i14so958464qtv.13
 for <39204 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 03:19:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=SS/Z5BZe2tKUmPYabpY9DmglpO8uTxduCyoxD5T7cg0=;
 b=Tz5jiicVxfWpSVzlOH5buxQwQCTovgVWs65uD+544+ZvML0UWTHBup9FjuA/IxGwa3
 aBXKmW6xS+lU4GOz9ME1FWQPZIVBjdCFtXQzuNMo5UgoUz97JYJgTZwaAjHkHyDeOQcm
 2vICYkNsN2TddTA+LkJq2QndREA3j4bmAenYq6BDR6LEmcrtwiIMxAxfvcswFFsxr7W3
 PiPsnUhVMOt1RNRdM4BAbq7y2fA+w8hoKMwOXbcvqa1pjkRgWiu2fJoJ/63Gob5dZOah
 KhGnAK/aSRtefxkhaKXJ/3hwENLFMXn/vUbcEKT5NbLCTWIJ2ptszXLdyNGSPCDW7zNL
 T30A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=SS/Z5BZe2tKUmPYabpY9DmglpO8uTxduCyoxD5T7cg0=;
 b=JTsfE0AnEtKk2P33vx72R5MsMFw5UT1d6tY8qGX6SERGxSJQwZBAp0Au4+VRaNsJ4d
 tVghSQottjJKupGy49yiVLtIlrBgtaCaWFLHUVEnx4o6cSkZkGgg7Xnn9yuzx3ndpEIs
 YhA8uspeoxRIEc8lIs9nJnopiN1lrW4gZSADQVJN9JX0IfklFnuiAQozVapr+yKe+dDl
 6ht6DdZFPhgQjSILWQReBBhQQ1ZDF2m0PST85Dn+tz3xL8a8whekFpv60qKZpunZdd++
 Yr42fs8sAHC8Tpj2EWZvCY38D1/EtiZZ+QWMnvRRuHmgeT9mvC1NTmIQw0ANgYfBxj7H
 JQ0A==
X-Gm-Message-State: APjAAAWZbPkmP7sU+vZqHKpl5Oq85GH7aYPEvkudnf4yoYsX+QumvYgf
 BIHHL7La0yWht2EUpgYsxapXX19E9PTdAXIyPK+1KLY2
X-Google-Smtp-Source: APXvYqwMzBmR9zjQAP29g8jRXeUleLQTQ1Y7Nm+LQS/2KcYh6KXqRw2qZ2eJ8pHi1u1G9PcEqZGbOUXSrLQcTmaOSmI=
X-Received: by 2002:ac8:319c:: with SMTP id h28mr31810773qte.186.1582283962450; 
 Fri, 21 Feb 2020 03:19:22 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
 <cu7tv3lrxpq.fsf@HIDDEN>
In-Reply-To: <cu7tv3lrxpq.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 21 Feb 2020 12:19:11 +0100
Message-ID: <CAJ3okZ3h_3HZ79T3WKmC68BzXeK6oBE8N9erxwG2gkycDVhbbg@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: wz@HIDDEN, 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arun,

On Thu, 20 Feb 2020 at 18:11, Arun Isaac <arunisaac@HIDDEN> wrote:

> >  2. a regression of r-rgdal introduced by your commit
> > f9d328833fc1f5d0fb76b61b12d1a3cb013932e6
>
> Replacing proj.4 with proj in the r-rgdal package seems to fix this
> regression. Can you confirm?

Maybe, but it is not what the user expects. Upstream explicitly
mentions proj.4, see [1].

[1] https://cloud.r-project.org/web/packages/rgdal/index.html

which is reflected by:

--8<---------------cut here---------------start------------->8---
$ guix show r-rgdal
name: r-rgdal
version: 1.4-8
outputs: out
systems: x86_64-linux i686-linux
dependencies: gdal@HIDDEN pkg-config@HIDDEN proj.4@HIDDEN r-sp@HIDDEN zlib@HIDDEN
location: gnu/packages/cran.scm:15897:2
homepage: http://rgdal.r-forge.r-project.org
license: GPL 2+
synopsis: Bindings for the Geospatial Data Abstraction Library
description: This package provides bindings to the Geospatial Data
+ Abstraction Library (GDAL) and access to projection/transformation
+ operations from the PROJ.4 library.
--8<---------------cut here---------------end--------------->8---



The question is: why proj instead of proj.4 in libgeotiff?
The bug [1] cannot be solved using proj.4, why?


[2] https://github.com/OSGeo/libgeotiff/issues/22


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 20 Feb 2020 17:11:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 12:11:11 2020
Received: from localhost ([127.0.0.1]:45786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4pLz-0007Wh-6b
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 12:11:11 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:33918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1j4pLv-0007WW-Uj
 for 39204 <at> debbugs.gnu.org; Thu, 20 Feb 2020 12:11:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pesjl4FbtNnQVvAHk1GgOCO3YaZmGoV5UPNdCGurTT8=; b=WA5lGef/kb7MadC02GdOKbIUg
 /Sjqu3aYwS7MClgu+wUr6JwI66lBiO1Xz1PA7cGrmcjQKTxgT++EGdNdHd1V2xRwzFLE4pVcc1jy8
 T27x0YLohmR+gIcAl8GYa2+0s2WiKgJqpJRsTy3XGORpmu4JoX+t1/o8a7xNaNqk+KBx0=;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.93) (envelope-from <arunisaac@HIDDEN>)
 id 1j4pLf-000rnf-Me; Thu, 20 Feb 2020 22:40:51 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, wz@HIDDEN
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
In-Reply-To: <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
 <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
Date: Thu, 20 Feb 2020 22:40:41 +0530
Message-ID: <cu7tv3lrxpq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> There is 2 issues in this bug report:
>
>  1. the `check' phase is failing but the build ends with "success".

I haven't investigated why this is happening.

>  2. a regression of r-rgdal introduced by your commit
> f9d328833fc1f5d0fb76b61b12d1a3cb013932e6

Replacing proj.4 with proj in the r-rgdal package seems to fix this
regression. Can you confirm?

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl5OvZEACgkQLiXui2GA
K7OrzggAoTmIMCBwJ5YLCQ7xwwsSevUL9F/VGlxl20FvqBFbBB56Xf+hbkovxlfF
Up7AlLYqt/7ngAx8hzc7LXwyvti4fqoEzNuN3XCTWc9RVGtG8j+UmlgDjQ26Yb16
8Z8KQPifcoYwFVr5CT86BI+jntRnkk2Fz3WyJKCkgAPakDptznp4D4ZjoyuBbhDk
/A9LUnQWBhf4GCId5pO2PvDlgSzXjFUUqp2Lunhe54ye8ptgGubSP85DQgMnIZdK
r8uQeXuzqOgvnzmohuQYqGo36IZNH/2wCu4hjEQp/jz9eQvLl/1c87kr2EXPp01x
gLQUvCE84hXPtIOEKylmhRObwH+9nQ==
=Boyx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 20 Feb 2020 10:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 05:35:34 2020
Received: from localhost ([127.0.0.1]:43897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4jB7-0008Uu-Nb
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 05:35:33 -0500
Received: from mail-qt1-f170.google.com ([209.85.160.170]:33737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1j4jB2-0008UP-OU
 for 39204 <at> debbugs.gnu.org; Thu, 20 Feb 2020 05:35:32 -0500
Received: by mail-qt1-f170.google.com with SMTP id d5so2506684qto.0
 for <39204 <at> debbugs.gnu.org>; Thu, 20 Feb 2020 02:35:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=BDKmhC2VJAgSq/JlXwza2CCUmfy1P93FB/vIoXuc0OA=;
 b=Z0WzVHVjg+8YoIz6JIngjbtAWaDD376LYDN4bCWbVO8dc4pIHJmD19aSecr7RitNjs
 d7t4E4WH04EL12AGbF0OdwiURrRkgMY5i3YQCdpC/bGGUC00EMcsjyN1rgxysrsabS9j
 CUR4zXaoOJaVtH0x9PEfiYRrozpDbPdR6RG9xOyCKyVnB7Sg4TQpsPwbPzyfFn/N805Z
 +ZvV1gFudeEnGsyzCE4tI8CfNTiOGJly0JiDfrx3bilBAChz8m8d+7QDMLe8lJVReiBB
 zi1It7kEaXFeBT4oIbgRVqHf5S4VqUUoAQfGS4vZl2yrVSyuTrKduOpA3NoJbQ2mxdU9
 MwcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=BDKmhC2VJAgSq/JlXwza2CCUmfy1P93FB/vIoXuc0OA=;
 b=MYYdk0qXNyUsghSlQ7+DNjrFbj48Q7kO3+NthSo78Y/wGAlxUgCurbOlP/BSB7LKlQ
 agk7dBRYzr3x3kYqXmUJ1O5x3r4VIBBnVzBKiwL0SsfJO+da7dhEHQ76Y21hj1iv149R
 JUObexe9/KnOJoAlMmFnaRwgYVzo4iQkhiD+S5EZrOyJ/aKBqalB+qd1v+DfFAU+/9CB
 mqtEIJ8UrksVbn/OuNsOIg8EjkHH0yog42v5UEAd8LGLwjZEoN1Ia8IUGuwTgp5+Mi0t
 mjKM4Z1+ftpR2G5e6Adgl2dcYiQqO9/0W2Du5ozvWb96qnQYYeKi2rcgNURP7/a9q54h
 n1Cg==
X-Gm-Message-State: APjAAAVUTept4nRFBI7ZorD9il2w+GhvPz0hT8QKIvmbuBIg7qPuiQH6
 W4QK3rgtaegcvvzFobQtFaodo+QnLsvUKhkRQKM=
X-Google-Smtp-Source: APXvYqzfquvyVM58WeKR7cXSL1mEQhWFO3Dbo1s7pUjKMP8OnD+5htGfyDxtF579ZXyb/C84OISPHfaS6Wmpch6En6M=
X-Received: by 2002:aed:2050:: with SMTP id 74mr25720722qta.217.1582194923106; 
 Thu, 20 Feb 2020 02:35:23 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
 <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
In-Reply-To: <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 20 Feb 2020 11:35:12 +0100
Message-ID: <CAJ3okZ0jVL9B-SjH63=LXZ-79=t00Ppb_dwyU_XxcS381MJUAw@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: wz@HIDDEN, Arun Isaac <arunisaac@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arun,

There is 2 issues in this bug report:

 1. the `check' phase is failing but the build ends with "success".
 2. a regression of r-rgdal introduced by your commit
f9d328833fc1f5d0fb76b61b12d1a3cb013932e6


About the point 1., here is what happens:

> --8<---------------cut here---------------start------------->8---
> $ guix build r-rgdal --check --no-grafts -K
> [...]
> phase `install' succeeded after 19.0 seconds
> starting phase `check'
> Testing examples for package =E2=80=98rgdal=E2=80=99
> /gnu/store/dnb6fzp5295fcda66dnjk2y51mcva20f-r-minimal-3.6.2/lib/R/bin/BAT=
CH:
> line 60:   598 Segmentation fault      ${R_HOME}/bin/R -f ${in}
> ${opts} ${R_BATCH_OPTIONS} > ${out} 2>&1
> [...]
> successfully built /gnu/store/7spmagnk5fycwxsigdypwkmk4kazbw7a-r-rgdal-1.=
4-8.drv
> note: keeping build directory `/tmp/guix-build-r-rgdal-1.4-8.drv-0'
> /gnu/store/dgkyzlasbqsxcsfk3n3bgmhrpg447f55-r-rgdal-1.4-8
> --8<---------------cut here---------------end--------------->8---

Therefore, more investigations are required to see why the upstream
test suite does not report correctly the failure.


However, the Segmentation Fault is the point 2. and introduced by the commi=
t:

--8<---------------cut here---------------start------------->8---
commit f9d328833fc1f5d0fb76b61b12d1a3cb013932e6
Author: Arun Isaac <arunisaac@HIDDEN>
Date:   Thu Dec 5 01:47:47 2019 +0530

    gnu: libgeotiff: Update to 1.5.1.

    * gnu/packages/patches/libgeotiff-adapt-test-script-for-proj-6.2.patch:
    New file.
    * gnu/local.mk (dist_patch_DATA): Register it.
    * gnu/packages/geo.scm (libgeotiff): Update to 1.5.1.
    [inputs]: Replace proj.4 with proj.
    [sources]: Add libgeotiff-adapt-test-script-for-proj-6.2.patch
    to patches.

 gnu/local.mk                                       |  1 +
 gnu/packages/geo.scm                               | 17 +++---
 ...libgeotiff-adapt-test-script-for-proj-6.2.patch | 63 ++++++++++++++++++=
++++
 3 files changed, 72 insertions(+), 9 deletions(-)
 create mode 100644
gnu/packages/patches/libgeotiff-adapt-test-script-for-proj-6.2.patch
--8<---------------cut here---------------end--------------->8---

I have bisected this way:

git bisect start
git bisect bad ba7ead2b507d94397481be014d6ac0c41c7ddbfa
git bisect good 28d940961cfa1ae6dc574053aec8d03095677df8

# ba7ead2b507d94397481be014d6ac0c41c7ddbfa =3D> bad
# 28d940961cfa1ae6dc574053aec8d03095677df8 =3D> good
# fe0686864dc57ecdda7ecbb318d2618ac46169ae =3D> bad
# 85c945aa97d89fdc17ec5d64c3ffa7f99ba1184b =3D> good
# 885424bf7f6e0bc0ad5dd9353690aa82d17dd8b8 =3D> bad
# 6f5d849a83c44ffb39c3a976aea10b7b31c24063 =3D> good
# ce5b71f98ce39c92637876120f44868ec7ad391f =3D> good
# 96211e3f33d1f1c35fd6377db1d8a4c6ec1a9c22 =3D> bad
# 6cde07379f2a049b8c7f0eca90959f6c170c4102 =3D> bad
# 87a028100c665814c3b5d622701abc6d77144faf =3D> good
# 00d81f9866726f85241f08e444ba3932fcb38842 =3D> good
# e72557c08f4f2fdd545106a9f4f0fc0bc9496249 =3D> bad
# 3500d7addc2f9b2067ffd239383eb0e546be4f43 =3D> good
# f9d328833fc1f5d0fb76b61b12d1a3cb013932e6 =3D> bad


Please could you confirm?
If 'libgeotiff' is really the culprit, then we can try to fix it.



All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at 39204 <at> debbugs.gnu.org:


Received: (at 39204) by debbugs.gnu.org; 20 Jan 2020 19:50:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 14:50:48 2020
Received: from localhost ([127.0.0.1]:46111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itd4R-0001cC-3G
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 14:50:48 -0500
Received: from mail-qv1-f44.google.com ([209.85.219.44]:38299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1itd4L-0001bm-Ob
 for 39204 <at> debbugs.gnu.org; Mon, 20 Jan 2020 14:50:45 -0500
Received: by mail-qv1-f44.google.com with SMTP id t6so348736qvs.5
 for <39204 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 11:50:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=j7biZ34JLS51+0nu7BO8LKuL3UNg1/IZ42Yh5Db7PxQ=;
 b=JboCyFVLs78eO0vGo63Eq+7sttwRN+IAj5SBq5wtXnpjAF7V0sD5Iw76cMsHoePKAh
 0IPDUTD6auIi9Nfked3HVQzoCBOs/W5gDoyiQ24R+P+82rWl7ZoJTyVDNffbfWPaYB3D
 B+YgFoT+WpKjG7RcTPIfFcO30bLMV2vb99L38V/MTporRdJhOlZ+bM6b/mvzNYGI90uA
 WT4v4F8SjdizS6kImJJJUzQI7WFW5wChOOzTD8dk9fD5Xo7+ti7WWPdq/TaIE4LRRFoA
 Kbm6IHhV9m198etTgDXUdME2YHiEu3YoEgfcu6bOnpy9aAnLa+33nNS9u2Mb1uy5ezuL
 RrGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=j7biZ34JLS51+0nu7BO8LKuL3UNg1/IZ42Yh5Db7PxQ=;
 b=dPlTncrqJjTZXx6WFOiqY+Yu2OkLAQkXZqNYoc+/DMeep7nMZ1OTE9R262B29JYFuA
 69XEqMimceNr/QSqVlPb8BaPjrkl+h61alHgiYvoNXIzvEIwnsIRUrcFO5KogUFbe3fi
 8paSJB9jeI/oNIrVtHzWh/SuqDmvIKaZQWP9BnVpuy+pNGpq7NAr0iRWzsHGdZG+HtER
 Ecuqwais9h+L34xUGPnaJ9gSPRGKYQ3tek8DYQrW24tU1Q7DOyKM9xbD5w63TvkyFAZM
 d3FgdaFjoHt1neaRcZBUdlozb96rjKMNdWmY0E/dIabmO90z7FkJwE0ztCkVHFngp/jT
 G93g==
X-Gm-Message-State: APjAAAUqGxv7tviReUPM3dd9m6yXQiLqpQTAmwR+zpnVUwjOC2qgKGOZ
 COC8ZTBRvKcoa4JcfeQUXmkIyRoN6AEFqS808MI/E96v
X-Google-Smtp-Source: APXvYqwboavjAer+q9bMCwOkMkOkHIkLTHBGml3AMV7wp98EuBJmm2QBUhMsnuI6Lj0t54CZDvRkS6e2dhhefhsHz4A=
X-Received: by 2002:a0c:ca06:: with SMTP id c6mr1415991qvk.74.1579549836251;
 Mon, 20 Jan 2020 11:50:36 -0800 (PST)
MIME-Version: 1.0
References: <20200120154302.ijni47ou4fk4wd77@wzguix>
In-Reply-To: <20200120154302.ijni47ou4fk4wd77@wzguix>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 20 Jan 2020 20:50:25 +0100
Message-ID: <CAJ3okZ2=gYbTTHoYtn=d+mJjorzqYgHYZGwdF=4KrG2_zSJBvg@HIDDEN>
Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault
To: wz@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39204
Cc: 39204 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Thank you for reporting.


The issue is that the error is not catched at build time. It is not
expected. This package should fail and not say "successfully built".

Well, this needs more investigation.


--8<---------------cut here---------------start------------->8---
$ guix build r-rgdal --check --no-grafts -K
[...]
phase `install' succeeded after 19.0 seconds
starting phase `check'
Testing examples for package =E2=80=98rgdal=E2=80=99
/gnu/store/dnb6fzp5295fcda66dnjk2y51mcva20f-r-minimal-3.6.2/lib/R/bin/BATCH=
:
line 60:   598 Segmentation fault      ${R_HOME}/bin/R -f ${in}
${opts} ${R_BATCH_OPTIONS} > ${out} 2>&1
[...]
successfully built /gnu/store/7spmagnk5fycwxsigdypwkmk4kazbw7a-r-rgdal-1.4-=
8.drv
note: keeping build directory `/tmp/guix-build-r-rgdal-1.4-8.drv-0'
/gnu/store/dgkyzlasbqsxcsfk3n3bgmhrpg447f55-r-rgdal-1.4-8
--8<---------------cut here---------------end--------------->8---

Good catch! :-)


All the best,
simon

--

$ guix describe
Generation 68   Jan 16 2020 15:57:09    (current)
  guix d14e474
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: d14e4745b36a835c6babd5b5f5562e12294cd9cf




Information forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2020 15:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 10:43:15 2020
Received: from localhost ([127.0.0.1]:45843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itZCs-0007wt-VP
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 10:43:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:55074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1itZCq-0007wl-UY
 for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 10:43:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52022)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wz@HIDDEN>) id 1itZCp-00043B-SI
 for bug-guix@HIDDEN; Mon, 20 Jan 2020 10:43:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wz@HIDDEN>) id 1itZCo-00056E-R8
 for bug-guix@HIDDEN; Mon, 20 Jan 2020 10:43:11 -0500
Received: from freeshell.de ([2a01:360:106::2]:43938)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wz@HIDDEN>) id 1itZCo-00054C-LP
 for bug-guix@HIDDEN; Mon, 20 Jan 2020 10:43:10 -0500
Date: Mon, 20 Jan 2020 16:43:02 +0100
From: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
To: bug-guix@HIDDEN
Subject: r-rgdal: Reading of vector GIS data causes segfault
Message-ID: <20200120154302.ijni47ou4fk4wd77@wzguix>
Mail-Followup-To: bug-guix@HIDDEN
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="3ntvqlmlmobptpmk"
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:360:106::2
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--3ntvqlmlmobptpmk
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi list,

The same behaviour on two machines.

To reproduce:

guix environment --container --ad-hoc r r-rgdal
Rscript -e 'library(rgdal); dsn <- system.file("vectors", package =3D "rgda=
l")[1]; ogrInfo(dsn=3Ddsn, layer=3D"cities")'

   Loading required package: sp
   rgdal: version: 1.4-8, (SVN revision 845)
   Geospatial Data Abstraction Library extensions to R successfully loaded
   Loaded GDAL runtime: GDAL 3.0.2, released 2019/10/28
   Path to GDAL shared files:
   GDAL binary built with GEOS: TRUE
   Loaded PROJ.4 runtime: Rel. 4.9.3, 15 August 2016, [PJ_VERSION: 493]
   Path to PROJ.4 shared files: (autodetected)
   Linking to sp version: 1.3-2

   *** caught segfault ***
   address 0x30, cause 'memory not mapped'

   Traceback:
   1: ogrFIDs(dsn =3D dsn, layer =3D layer)
   2: ogrInfo(dsn =3D dsn, layer =3D "cities")
   An irrecoverable exception occurred. R is aborting now ...
   sh: rm: command not found
   Segmentation fault

Opening with QGIS, which also depends on GDAL (it uses PROJ.6 instead of
PROJ.4, though), works.

W=C5=BB

--3ntvqlmlmobptpmk
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl4lyoVfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edXBbRAAiHRLgSh8t37I1rLK4aCKspdWbQ/hZ1qU2LsK7526w9/GgU7XySB+Wg2A
XMP5age6Uqo/SpQUqcIFEH0wpHnX2W7qv0w+n9OkMHbbI6aq+I70UKoocMe/nsl9
Pks/3vg/Qh8wci5Uf5N2k6WlSzpoWm3nPbNf/7dbVseEeCpuxxWccRmsmWpjLYsb
XODc8bJkyeQqqml+Qe3w6zapBieyipv413rzT1LRIxlq2TbInyhAPLSqCuyU+n9e
aBjMuLU62/CIVMCwTZS24XCYl8Gt9aFx8xKoTKs3c9u2jqL0LsTLbCjdr7Ox6VR5
H7KCSzrsiiazBXF23hKjVBCiL7ZCOFNJz+QDVKr0j/8Yd+V3/szIrUu/nbGuxRud
kuadGNHx6X73VR1a8ue91mBvb46aPFbQzUEwTPGaWXuJ4+BW09AL8hS2yCZwpdEA
jKBsbkL3HIk+WJHsym6Sr4lU9eOsV4hJbjUEuPcMZ1xKKY8HHJqgzh+lS+GkxFvQ
/1tUd3ZSKqiBc7y83au0VVzyXSR2I6mUNF8nfdqVKckLiFtV4djPiR6NCpmDpkxB
rSDn+ctznHmCaT8xfxnmgkRUJd7QDOhoPtIuivUY/o8pvY2UZbhsUSXIDH8K41l0
FtqV+OJTT8r0XgUECArQ53yV6/N9MDsOfvXAKAvryqRjgaN7QHE=
=p8uW
-----END PGP SIGNATURE-----

--3ntvqlmlmobptpmk--




Acknowledgement sent to Wiktor Żelazny <wz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#39204; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 24 Feb 2020 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.